Package Details: icu71-bin 71.1-2

Git Clone URL: https://aur.archlinux.org/icu71-bin.git (read-only, click to copy)
Package Base: icu71-bin
Description: International Components for Unicode library
Upstream URL: https://github.com/unicode-org/icu
Licenses: custom:icu
Conflicts: icu71
Provides: icu71
Submitter: syntheit
Maintainer: eclairevoyant
Last Packager: eclairevoyant
Votes: 3
Popularity: 0.57
First Submitted: 2022-08-17 22:36 (UTC)
Last Updated: 2022-12-11 21:16 (UTC)

Latest Comments

eclairevoyant commented on 2022-12-11 21:17 (UTC) (edited on 2022-12-11 21:21 (UTC) by eclairevoyant)

Adopted and updated. Note that one major change is that the non-versioned .so files have been unconditionally removed from this package so as to not conflict with icu (the previous version of this package only removed those files if another version of icu was installed). This is to have a more consistent build (packaging shouldn't depend on what's on your system) and prevent conflicts if you choose to install icu after this package; if you want the non-versioned .so file, then you should likely be using the latest icu anyway.

This also now has updated deps and conflicts with icu71.

syntheit commented on 2022-11-01 16:50 (UTC)

I apologize for the errors. They will be fixed soon.

Sceptique commented on 2022-10-26 10:09 (UTC)

diff --git a/PKGBUILD b/PKGBUILD
index b78cfb2..c4688eb 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -22,7 +22,7 @@ package() {
         fi
     done
     mkdir -p "${pkgdir}"/usr/{share,lib}
-    mkdir -p "${pkgdir}"/usr/share/licenses/icu69
+    mkdir -p "${pkgdir}"/usr/share/licenses/icu71
     cp -rn "${srcdir}"/icu/usr/local/lib/* -t "${pkgdir}"/usr/lib/
-    install -Dm644 "${srcdir}"/icu/usr/local/share/icu/69.1/LICENSE "${pkgdir}"/usr/share/licenses/"${pkgname}"/LICENSE
+    install -Dm644 "${srcdir}"/icu/usr/local/share/icu/71.1/LICENSE "${pkgdir}"/usr/share/licenses/"${pkgname}"/LICENSE
 }

dbear496 commented on 2022-10-23 19:34 (UTC)

When installing, I got the error:

install: cannot stat '/home/david/.cache/yay/icu71-bin/src/icu/usr/local/share/icu/69.1/LICENSE': No such file or directory 
==> ERROR: A failure occurred in package().
    Aborting...                                                                                                         
 -> error making: icu71-bin

I resolved the error by installing with yay -S --editmenu icu71. When the editor opens, change the line

install -Dm644 "${srcdir}"/icu/usr/local/share/icu/69.1/LICENSE "${pkgdir}"/usr/share/licenses/"${pkgname}"/LICENSE

to

install -Dm644 "${srcdir}"/icu/usr/local/share/icu/71.1/LICENSE "${pkgdir}"/usr/share/licenses/"${pkgname}"/LICENSE

and change the line

mkdir -p "${pkgdir}"/usr/share/licenses/icu69

to

mkdir -p "${pkgdir}"/usr/share/licenses/icu71

It seems that some old version numbers slipped into the pkgbuild script.

atomo commented on 2022-10-22 21:43 (UTC)

The license file is in the root directory of the package. So the PKGBUILD needs to be updated to point the file there instead of '${srcdir}"/icu/usr/local/share/icu/69.1/LICENSE'

install: cannot stat '/home/belle/.cache/paru/clone/icu71-bin/src/icu/usr/local/share/icu/69.1/LICENSE': No such file or directory
==> ERROR: A failure occurred in package().
    Aborting...
error: failed to build 'icu71-bin-71.1-1': 
error: packages failed to build: icu71-bin-71.1-1